CHIP_TARGET_ARCHTYPE := cortexm
CHIP_DEFS     = CORE_M4 CHIP_LPC43XX ARM_MATH_CM4 __ARM_ARCH_7EM__
CHIP_DEFS_M0  = CORE_M0 CHIP_LPC43XX LPC43XX_CORE_M0APP ARM_MATH_CM0 __ARM_ARCH_6M__

CHIP_CFLAGS    = -mcpu=cortex-m4 -mthumb
CHIP_CFLAGS_M0 = -mcpu=cortex-m0 -mthumb
CHIP_ASFLAGS = $(CHIP_CFLAGS)
CHIP_ASFLAGS_M0 = $(CHIP_CFLAGS_M0)
CHIP_LDFLAGS = $(CHIP_CFLAGS)

CHIP_STARTUP_SRC     = $(CHIP_TARGET_DIR)/init/startup_gcc.c
CHIP_STARTUP_SRC_M0  = $(CHIP_TARGET_DIR)/init/startup_m0.c


CHIP_TOOLCHAIN_TARGET ?= arm-none-eabi-
